BioEntryRelationship (BioJava-1.5-beta API)
Keywords: org.biojavax.bio.BioEntryRelationship interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojavax.bio
Interface BioEntryRelationship

All Superinterfaces:
  Changeable, Comparable

All Known Implementing Classes:
  SimpleBioEntryRelationship

    public interface BioEntryRelationship

extends Comparable, Changeable

Represents the relation between two bioentries. The bioentry_relationship in BioSQL is what this represents.

Since:
  1.5
Author:
  Mark Schreiber, Richard Holland
See Also:
  `BioEntry`

Field Summary
`static ChangeType` | `RANK`

Method Summary
`BioEntry` | `getObject()` Returns the object of this relationship (ie.
`Integer` | `getRank()` Returns the rank of this relationship.
`BioEntry` | `getSubject()` Returns the subject of this relationship (ie.
`ComparableTerm` | `getTerm()` Returns the term describing the relationship.
`void` | `setRank(Integer rank)` Sets the rank of this relationship.

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Field Detail

### RANK

    static final ChangeType RANK

Method Detail

### setRank

    void setRank(Integer rank)
                 throws ChangeVetoException

  Sets the rank of this relationship. The rank may be null in the database, hence the use of an Integer object here and not an int primitive.

  Parameters:
    `rank` - Value of property rank.
  Throws:
    `ChangeVetoException` - if the rank rankles.

### getRank

    Integer getRank()

  Returns the rank of this relationship. The rank may be null in the database, hence the use of an Integer object here and not an int primitive.

  Returns:
    Value of property rank.

### getObject

    BioEntry getObject()

  Returns the object of this relationship (ie. the BioEntry which this relationship starts from). This is an immutable property set by the constructor of an instantiating class.

  Returns:
    Value of property object.

### getSubject

    BioEntry getSubject()

  Returns the subject of this relationship (ie. the BioEntry which this relationship targets). This is an immutable property set by the constructor of an instantiating class.

  Returns:
    Value of property subject.

### getTerm

    ComparableTerm getTerm()

  Returns the term describing the relationship. This is an immutable property set by the constructor of an instantiating class.

  Returns:
    Value of property term.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD